Package com.orchestranetworks.userservice.declaration

# Class ActionDisplaySpec

java.lang.Object
com.orchestranetworks.userservice.declaration.ActionDisplaySpec

public final class ActionDisplaySpec extends Object
Defines whether and how an action must be displayed in a toolbar or a menu.

Since:
  5.8.0
See Also:
  - `ActivationContext.setDisplayForLocations(ActionDisplaySpec, com.orchestranetworks.ui.toolbar.ToolbarLocation...)`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ActionDisplaySpec`
  `DISPLAYED`
  The action is available in the default EBX® menu and can be explicitly assigned to a custom toolbar.
  `static final ActionDisplaySpec`
  `HIDDEN`
  The action is neither available in the default EBX® menu nor can it be explicitly assigned to a custom toolbar.
  `static final ActionDisplaySpec`
  `HIDDEN_IN_DEFAULT_MENU`
  The action can only be explicitly assigned to a custom toolbar.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ActionDisplaySpec`
  `displayInDefaultMenuAtPosition(int aPosition)`
  This is similar to `DISPLAYED`, but the position in the default menu can be specified.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DISPLAYED

    public static final ActionDisplaySpec DISPLAYED
    The action is available in the default EBX® menu and can be explicitly assigned to a custom toolbar.

    In default EBX® menus, actions are sorted alphabetically by default. To specify a different position, `displayInDefaultMenuAtPosition(int)` can be used.

  - ### HIDDEN

    public static final ActionDisplaySpec HIDDEN
    The action is neither available in the default EBX® menu nor can it be explicitly assigned to a custom toolbar.

  - ### HIDDEN_IN_DEFAULT_MENU

    public static final ActionDisplaySpec HIDDEN_IN_DEFAULT_MENU
    The action can only be explicitly assigned to a custom toolbar. It is not available in the default EBX® menu.

- ## Method Details

  - ### displayInDefaultMenuAtPosition

    public static ActionDisplaySpec displayInDefaultMenuAtPosition(int aPosition)
    This is similar to `DISPLAYED`, but the position in the default menu can be specified. By default, actions are alphabetically sorted.